Lucene search

K
cvelistGitHub_MCVELIST:CVE-2022-41893
HistoryNov 18, 2022 - 12:00 a.m.

CVE-2022-41893 `CHECK_EQ` fail in `tf.raw_ops.TensorListResize` in Tensorflow

2022-11-1800:00:00
CWE-617
GitHub_M
www.cve.org

4.8 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H

0.001 Low

EPSS

Percentile

37.0%

TensorFlow is an open source platform for machine learning. If tf.raw_ops.TensorListResize is given a nonscalar value for input size, it results CHECK fail which can be used to trigger a denial of service attack. We have patched the issue in GitHub commit 888e34b49009a4e734c27ab0c43b0b5102682c56. The fix will be included in TensorFlow 2.11. We will also cherrypick this commit on TensorFlow 2.10.1, 2.9.3, and TensorFlow 2.8.4, as these are also affected and still in supported range.

CNA Affected

[
  {
    "vendor": "tensorflow",
    "product": "tensorflow",
    "versions": [
      {
        "version": ">= 2.10.0, < 2.10.1",
        "status": "affected"
      },
      {
        "version": ">= 2.9.0, < 2.9.3",
        "status": "affected"
      },
      {
        "version": "< 2.8.4",
        "status": "affected"
      }
    ]
  }
]

4.8 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H

0.001 Low

EPSS

Percentile

37.0%